org.apache.olingo.client.api.domain

## Interface ClientEntitySet

- All Superinterfaces:
    ClientAnnotatable, ClientInvokeResult
  All Known Subinterfaces:
    ClientDelta

      public interface ClientEntitySet
      extends ClientInvokeResult, ClientAnnotatable

  OData entity collection. If pagination was used to get this instance, forward page navigation URI will be available.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getCount()` Gets in-line count.
    `URI` | `getDeltaLink()` Gets delta link if exists.
    `List<ClientEntity>` | `getEntities()` Gets contained entities.
    `URI` | `getNext()` Gets next page link.
    `ClientOperation` | `getOperation(String title)` Searches for operation with given title.
    `List<ClientOperation>` | `getOperations()` Gets operations.
    `void` | `setCount(int count)` Sets in-line count.
    `void` | `setDeltaLink(URI deltaLink)` Sets delta link.

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getNext

          URI getNext()

      Gets next page link.
      Returns:
        next page link; null value if single page or last page reached.

    - #### getEntities

          List<ClientEntity> getEntities()

      Gets contained entities.
      Returns:
        entity set's entities.

    - #### getCount

          Integer getCount()

      Gets in-line count.
      Returns:
        in-line count value.

    - #### setCount

          void setCount(int count)

      Sets in-line count.
      Parameters:
        `count` - in-line count value.

    - #### getDeltaLink

          URI getDeltaLink()

      Gets delta link if exists.
      Returns:
        delta link if exists; null otherwise.

    - #### setDeltaLink

          void setDeltaLink(URI deltaLink)

      Sets delta link.
      Parameters:
        `deltaLink` - delta link.

    - #### getOperation

          ClientOperation getOperation(String title)

      Searches for operation with given title.
      Parameters:
        `title` - operation to look for
      Returns:
        operation if found with given title, `null` otherwise

    - #### getOperations

          List<ClientOperation> getOperations()

      Gets operations.
      Returns:
        operations.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.